##### 厂商接入平台流程
1、联系平台现场人员进行系统配置并分配相关密钥
2、平台人员配置系统可访问接口

##### 获取Token
1、Token获取地址：http://ip:port/GetTokenInfo?appKey={appKey}
2、请求格式

|  字段名 | 字段类型 | 是否必填 | 说明  |
| ------------ | ------------ | ------------ |
| appSecret | string  | 是 |平台分配系统Secret  |
| operatorId | string  | 否 | 业务系统操作人员工号 |
| operatorName | string | 否 | 业务系统操作人员姓名|

	eg: 
		{
			"appSecret":"dfd123645Gsdfsdf54664fsd"
			"operatorId" : "123",
			"operatorName":"张三"
		}

3、响应格式

|  字段名 | 字段类型  | 说明  |
| ------------ | ------------ | ------------ |
| token  |  string | 平台生成给予的token |
| expireTime | int  | token剩余有效期，单位（毫秒）  |

获取正常格式

	eg:
		{
			"code":"0",
			"message":"",
			"data":{
				"token":"dsdfsdfdsgGGG665422fdsf",
				"expireTime": 3600000
			}
		}

获取异常格式

	eg:
		{
			"code":"1",
			"message":"获取token失败，传入的appKey平台无分配记录！",
			"data":null
		}
		
##### 接口鉴权
1、鉴权方式

	使用平台生成的appSecret，加上请求参数的key及value值进行MD5 32位大写加密，放入请求头中的Authorization字段
	即：Authorization=密钥值
	注：如果参数有多重嵌套，只取最外层的key及value值，value为对象时，使用json序列化之后的值

2、示例

	appSecret=123456
	
	请求body参数：
		{
			"idcard":"533154216698721455",
			"type":"0"
		}
		
	加密使用：appSecret+key1=value1&key2=value2+appSecret
	
	即：MD5(123456idcard=533154216698721455&type=0123456)
	
	请求参数多重嵌套：
		{
			"idcard":"52555",
			"type":"0",
			"patientInfo":{
				"workAddress":"35640",
				"familyAddress":"63548"
			}
		}
	
	即：MD5(123456idcard=52555&type=0&patientInfo={"workAddress":"35640","familyAddress":"63548"}123456)