#### 简要描述：

- 一体机查询导检登记信息

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|1.0.0 |朱小乾  |2022-08-10 |  - |

#### 请求URL:

- /api/External/QueueSigleInfor

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |
|Authorization |是  |string |Bearer Token   |

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|idCard |是  |string |查询信息   |
|type |是  |string | 查询类型：0:自动；1：体检编号；2：身份证号；3：导检号；4：姓名    |

#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "message": "查询成功",
  "data": {
    "id": "10000",
    "recordId": "10000",
    "examNo": "3",
    "outNo": "600130234",
    "name": "吴管富",
    "mobile": "14708673426",
    "gender": "0",
    "idCard": "522530196908153311",
    "birthYear": null,
    "examDate": "2022-02-28T00:00:00",
    "djTime": "2022-02-28T10:53:26.183",
    "exameeTags": 1,
    "age": 51,
    "status": null,
    "wxPic": null,
    "wxUrl": null,
    "marriage": null,
    "nextQueueName": "31",
    "scheduledDeparts": [
      {
        "finalStatus": 3,
        "avgTime": 19758.557272727277,
        "sortNo": 4,
        "startExamTime": null,
        "examRecordId": null,
        "itemNames": "内科常规检查;",
        "examDepartmentId": "1041",
        "departName": "内科",
        "examQueueId": "1101",
        "queueName": "内科",
        "queueStatus": "3",
        "roomName": "内科",
        "departmentType": 0,
        "orders": 0,
        "reQueueType": "默认机制",
        "newGroupId": "0",
        "endExamTime": "2022/5/26 17:08:59"
      },
    ],：
    "noScheduledDeparts": [
     {
        "finalStatus": 7,
        "avgTime": 53.77300000000001,
        "sortNo": 0,
        "startExamTime": null,
        "examRecordId": null,
        "itemNames": "外科常规检查;",
        "examDepartmentId": "1042",
        "departName": "外科",
        "examQueueId": null,
        "queueName": null,
        "queueStatus": null,
        "roomName": null,
        "departmentType": 0,
        "orders": 0,
        "reQueueType": "默认机制",
        "newGroupId": "0",
        "endExamTime": "2022/5/26 17:08:59"
      },
    ]
  }
}
```

**错误时返回:**


```
{
  "code": 12,
  "message": "未查询到用户",
  "busCode":"021001",
  "data": null

```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|scheduledDeparts |array   | 已安排科室|
|noScheduledDeparts |array   | 未安排科室|
|finalStatus |int   |项目状态：0:正常；1：已完成；2：锁定；3：等待检查；4：检查中；5：等待排队；6：弃检；7：未安排 |
|exameeTags |int |用户类型：1：普通;2:vip   |
|avgTime |double |科室平均时间 S  |
|sortNo |int  |序号 |
|startExamTime |datetime  |开始时间 |
|endExamTime |datetime  |结束时间 |
|status |string  |'0':体检中；'1'：'已收单'；'3':等待收单；'4'：等待回检 |


#### 备注:

-