#### 简要描述：

- 获取人员信息

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----    |:---|:----- |-----   |
|3.2.3 |朱小乾  |2022-08-24 |  - |

#### 请求URL:

- /api/trExamination/doctorQueueInfo

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |
|Authorization |是  |string |Bearer Token|

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|user |是  |object |用户信息   |
|userId |是  |string |用户Id   |
|userName |是  |string | 用户名    |
|data |是  |object | 请求参数    |
|queueId |是  |int | 队列Id    |
|positonId |是  |int | 诊位Id    |

```
{
  "user": {
    "userId": "string",
    "userName": "string"
  },
  "data": {
    "queueId": 1105,
    "positonId": 52
  }
}
```
#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "message": "操作成功",
  "data": [
    {
      "queueId": "1105",
      "queueName": "一般检查",
      "status": 1,
      "departmentType": "0",
      "weight": "0",
      "departMentId": "1044",
      "isHaveDoctor": true,
      "gender": "2",
      "alternatesNum": "0",
      "minNum": "3",
      "maxNum": "0",
      "screenShowNum": 20,
      "queuePeopleDtos": [
        {
          "id": 246,
          "userName": "杨智群",
          "status": 0,
          "examNo": "120",
          "sortNo": "",
          "isVip": "1",
          "recordId": "10260",
          "order": null,
          "lockNo": null,
          "updateTime": "0001-01-01T00:00:00",
          "positionName": null,
          "positionId": "52",
          "positiIdOrder": null,
          "gender": "1",
          "roomName": "一般检查(一般检查1)",
          "location": null,
          "age": 0,
          "exExamNo": 0,
          "outNo": null,
		  "memberType": 0,
		  "occupyStatus": 0,
		  "leaveStatus": 0
        }]
	}]
}
```

**错误时返回:**


```
{
  "code": 1,
  "message": "030100",
  "busCode": "Sequence contains no elements"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|queueId |string   |队列Id |
|queueName |string   |队列名称 |
|status |int   |队列状态 |
|departmentType |string   |科室类型 |
|isHaveDoctor |bool   |是否有医生端开启 |
|gender |string   |队列性别： 0：男；1：女；2：不限 |
|queuePeopleDtos |array   |人员数组 |
|id |int   |人员Id |
|userName |string   |姓名 |
|status |int   |状态： 0：检查中；1：排队；2：过号；3：锁定 |
|examNo |string   |导检号 |
|sortNo |string   |序号 |
|isVip |string   |是否vip |
|age |int   |年龄 |
|outNo |string   |体检号 |
|memberType |int   |队员类型：0：正常，1：假人|
|occupyStatus |int   |占用状态：0：无，1：被占用|
|leaveStatus |int   |离开状态：0：没离开，1：暂时离开|
#### 备注:

-