#### 1. PullHardwareList简要描述：

- 获取当前机器硬件列表

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----     |:---|:----- |-----   |
|v1.0.0.1|何叶|2022-08-11|- |

#### 请求URL:

- http://localhost:8888/api/Print/PullHardwareList


#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数|类型|描述|
|:-------|:-------|:-------|

#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "message": "",
  "data":  [
{"name":"HP","type":"HP","model":"",IsDefaultPrinter":true}
]
}

```

**错误时返回:**


```
{
  "code": 1,
  "message": "",
  "busCode":"041002",
  "data": null
}

```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----  |
|name |string  |打印机名称 |
|type |string  |打印机品牌 |
|model |string  |打印机型号 |
|isDefault |bool  |是否为默认打印机 |
#### 备注:


#### 2. PrintZYD简要描述：

- 打印导检单和条形码接口

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:----     |:---|:----- |-----   |
|v1.0.0.1|何叶|2022-08-11|- |

#### 请求URL:

- http://localhost:8888/api/Print/PrintZYD

#### 请求方式：

- POST

#### 请求头：

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|Content-Type |是  |string |请求类型： application/json   |


#### 请求参数:

|参数|类型|描述|
|:-------|:-------|:-------|
|printer|String|打印机 |
|printerType|int|打印机类型 |
|ip|String|ip |
|templateName|String|模板名称 |
|order|object| |
|order.appointNo|string| 预约号|
|order.patientCode|object|就诊卡号 |
|order.examNo|string| 体检编号|
|order.name|string| 姓名|
|order.idCard|string|身份证 |
|order.age|int|年龄 |
|order.birthday|string| 出生日期|
|order.sex|string|性别,0-男，1-女,2-通用 |
|order.orderNo|string| 订单编号|
|order.appointTime|string|预约时间 |
|order.regTime|string|登记日期 |
|order.orderMoney|decima|订单金额，到元 |
|order.phoneNo|string| 联系电话|
|order.address|string| 联系地址|
|order.isVip|string| 是否vip，0代表否，1代表是|
|order.companyName|string|单位名称 |
|order.companyCode|string| 单位编码|
|order.mealName|string|套餐名称 |
|order.mealCode|string|套餐编码 |
|barCodes|array|条码集合 |
|barCodes.examNo|string|体检编号 |
|barCodes.barcode|string| 条码号|
|barCodes.barTypeName|string|条码类型名称 |
|barCodes.tubeName|string|试管名称 |
|barCodes.comItemName|string|组合项目名称 |
|guidanceSheet|object|导引单对象 |
|guidanceSheet.examNo|string|体检编号 |
|guidanceSheet.mealName|string|套餐名称 |
|guidanceSheet.mealTypeName|string|套餐类型名称 |
|guidanceSheet.examTypeName|string|体检类型名称 |
|guidanceSheet.hospitalName|string|医院名称 |
|guidanceSheet.hospitalAddress|string| 医院地址|
|guidanceSheet.hospitalPhone|string| 体检中心电话|
|guidanceSheet.firstDeptName|string|首站科室名称 |
|guidanceSheet.remark|string| 备注|
|guidanceSheet.itemList|array|项目列表 |
|guidanceSheet.itemList.examNo|string|体检编号 |
|guidanceSheet.itemList.itemName|string|项目名称 |
|guidanceSheet.itemList.itemCode|string|项目编号|
|guidanceSheet.itemList.deptName|string|科室名称 |
|guidanceSheet.itemList.itemSort|int|项目序号 |
|guidanceSheet.itemList.itemTips|string|提示信息 |
|guidanceSheet.itemList.itemReference|string| 参考值|
|dynamicAttributes|string| 动态属性|

#### 返回示例:

**正确时返回:**

```
{
"code": 0,
"message": "",
"data": {
"dydcount":"2",
"txmcount":"5"

}
}
```

**错误时返回:**


```
{
  "code": 1,
  "message": "打印机缺纸",
  "busCode":"041002",
  "data": null
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----  |
|dydcount |int  |导引单页数 |
|txmcount |int  |条形码页数 |
#### 备注:
##### 导引单样式
![](http://doc.mytijian.cn/uploads/202208/hospitalplatformapi/attach_170a3ae9b7236b6b.png)
![](http://doc.mytijian.cn/uploads/202208/hospitalplatformapi/attach_170a3aec390f37d7.png)
##### 条形码样式

![](http://doc.mytijian.cn/uploads/202208/hospitalplatformapi/attach_170a3ade6c922f0b.png)
![](http://doc.mytijian.cn/uploads/202208/hospitalplatformapi/attach_170a3ae113255515.png)