#### 简要描述：

- 订单查询接口

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:---- |:---|:----- |-----   |
|V1.0|余香斌| 2022-08-09|2022-08-09 |


#### 请求URL:

- http://xx.com:5000/api/v1/home/getOrderList

#### 请求方式：

- POST

#### 请求参数:

|参数名|是否必须|类型|说明|
|:----    |:---|:----- |-----   |
|idCard |是  |string |身份证号   |
|name |是  |string |姓名   |

#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "message": "请求成功",
  "totalCount": 0,
  "busCode":"",
  "data": [
    {
      "appointNo": null,
      "patientCode": null,
      "examNo": null,
      "name": "余香斌",
      "idCard": "33092119110201101",
      "age": 33,
      "birthday": "1989-04-10",
      "sex": 0,
      "orderNo": "20220418151152815969590",
      "status": 0,
      "appointTime": "2022-04-19",
	  "examPeriod":"7:00-8:00",
      "regTime": "0001-01-01 00:00:00",
      "orderMoney": 100000,
      "phoneNo": "15158106906",
      "address": null,
      "isVip": 0,
      "companyName": "yu测试单位14",
      "companyCode": null,
      "mealName": null,
      "mealCode": null
    }
  ]
}
```

**错误时返回:**


```
{
  "code": 500,
  "message": "请求参数不能为空",
  "busCode":"021001",
  "data": []
}
```

#### 返回参数说明:

|参数|类型|描述|
|:-------|:-------|:-------|
|appointNo|string|预约号 |
|patientCode|string|就诊卡号 |
|examNo|string|体检编号 |
|name|string|姓名 |
|idCard|string|身份证 |
|age|string|年龄 |
|birthday|string| 出生日期|
|sex|int|性别,0-男，1-女,2-通用 |
|orderNo|string| 订单编号|
|status|int| 0代表未登记，1代表已登记|
|appointTime|string|预约日期 |
|examPeriod|string|预约时间段 |
|regTime|string| 登记日期|
|orderMoney|decimal|订单金额，到元 |
|phoneNo|string|联系电话 |
|address|string| 联系地址|
|isVip|string| 是否vip，0代表否，1代表是|
|companyName|string|单位名称 |
|companyCode|string|单位编码 |
|mealName|string| 套餐名称|
|mealCode|string| 套餐编码|


#### 备注: