#### 简要描述：

- 获取打印数据接口

#### 接口版本：

|版本号|制定人|制定日期|修订日期|
|:---- |:---|:----- |-----   |
|V1.0|余香斌| 2022-08-09|2022-08-09 |


#### 请求URL:

- http://xx.com:5000/api/v1/home/getPrintData

#### 请求方式：

- POST

#### 请求参数:

|参数|类型|是否必填|描述|
|:-------|:-------|:-------|:-------|
|idcard|string|是|身份证 |
|name|string|是| 姓名|
|appointno|string|是| 预约号|
|examno|string|是|登记号 |

#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "message": "请求成功",
  "data": [
    {
      "order": {
        "appointNo": "2022080901",
        "patientCode": null,
        "examNo": "2022080901",
        "name": "余香斌",
        "idCard": "33092119110201101",
        "age": 33,
        "birthday": "1989-04-10",
        "sex": 0,
        "orderNo": "20220418151152815969590",
        "status": 1,
        "appointTime": "0001-01-01 00:00:00",
        "regTime": "0001-01-01 00:00:00",
        "orderMoney": 0,
        "phoneNo": null,
        "address": null,
        "isVip": 0,
        "companyName": null,
        "companyCode": null,
        "mealName": null,
        "mealCode": null
      },
      "barCodes": [
        {
          "examNo": "2022080901",
          "barcode": "202208090101",
          "barTypeName": "血液",
          "tubeName": "黄管",
          "comItemName": "血常规"
        }
      ],
      "guidanceSheet": {
        "examNo": "2022080901",
        "mealName": "套餐A",
        "mealTypeName": "普通套餐",
        "examTypeName": null,
        "hospitalName": "浙一",
        "hospitalAddress": "杭州",
        "hospitalPhone": null,
        "firstDeptName": null,
        "remark": null,
        "itemList": [
          {
            "examNo": "2022080901",
            "itemName": "白蛋白",
            "itemCode": "Y0101",
            "deptName": "检验科",
            "itemSort": 1,
            "itemTips": null,
            "itemReference": null
          }
        ]
      }
    }
  ],
  "ext": null
}
```

**错误时返回:**


```
{
  "code": 500,
  "message": "请求参数不能为空",
  "totalCount": 0,
  "busCode":"021001",
  "data": []
}
```

#### 返回参数说明:

|参数|类型|描述|
|:-------|:-------|:-------|
|order|object| |
|order.appointNo|string| 预约号|
|order.patientCode|object|就诊卡号 |
|order.examNo|string| 体检编号|
|order.name|string| 姓名|
|order.idCard|string|身份证 |
|order.age|int|年龄 |
|order.birthday|string| 出生日期|
|order.sex|string|性别,0-男，1-女,2-通用 |
|order.orderNo|string| 订单编号|
|order.appointTime|string|预约时间 |
|order.regTime|string|登记日期 |
|order.orderMoney|decima|订单金额，到元 |
|order.phoneNo|string| 联系电话|
|order.address|string| 联系地址|
|order.isVip|string| 是否vip，0代表否，1代表是|
|order.companyName|string|单位名称 |
|order.companyCode|string| 单位编码|
|order.mealName|string|套餐名称 |
|order.mealCode|string|套餐编码 |
|barCodes|array|条码集合 |
|barCodes.examNo|string|体检编号 |
|barCodes.barcode|string| 条码号|
|barCodes.barTypeName|string|条码类型名称 |
|barCodes.tubeName|string|试管名称 |
|barCodes.comItemName|string|组合项目名称 |
|guidanceSheet|object|导引单对象 |
|guidanceSheet.examNo|string|体检编号 |
|guidanceSheet.mealName|string|套餐名称 |
|guidanceSheet.mealTypeName|string|套餐类型名称 |
|guidanceSheet.examTypeName|string|体检类型名称 |
|guidanceSheet.hospitalName|string|医院名称 |
|guidanceSheet.hospitalAddress|string| 医院地址|
|guidanceSheet.hospitalPhone|string| 体检中心电话|
|guidanceSheet.firstDeptName|string|首站科室名称 |
|guidanceSheet.firstDeptNo|string|首站科室排号 |
|guidanceSheet.remark|string| 备注|
|guidanceSheet.itemList|array|项目列表 |
|guidanceSheet.itemList.examNo|string|体检编号 |
|guidanceSheet.itemList.itemName|string|项目名称 |
|guidanceSheet.itemList.itemCode|string|项目编号|
|guidanceSheet.itemList.deptName|string|科室名称 |
|guidanceSheet.itemList.itemSort|int|项目序号 |
|guidanceSheet.itemList.itemTips|string|提示信息 |
|guidanceSheet.itemList.itemReference|string| 参考值|


#### 备注: